%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

# we don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

Name:		pyrit
Version:	0.4.0
Release:	5%{?dist}
# OpenSSL exception
License:	GPLv3+ with exceptions
Group:		Applications/Internet
Summary:	A GPGPU-driven WPA/WPA2-PSK key cracker
URL:		http://code.google.com/p/pyrit/
Source0:	http://pyrit.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	python-devel, openssl-devel, zlib-devel, libpcap-devel
# Scapy and python-sqlalchemy are needed for full testing
BuildRequires:	scapy, python-sqlalchemy
Requires:	scapy, python-sqlalchemy

%description
Pyrit exploits the computational power of many-core and GPGPU-platforms to
create massive databases, pre-computing part of the WPA/WPA2-PSK authentication
phase in a space-time trade-off. It is a powerful attack against one of the 
world's most used security-protocols.
Please note that this package only provides CPU support, GPUGPU support requires
CUDA or OpenCL, which have no Free Software implementations at this time.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot}
chmod 755 %{buildroot}%{python_sitearch}/cpyrit/*.so

%check
# Can't do the tests in koji, the network tests fail, even against loopback
# pushd test
# export PYTHONPATH=%{buildroot}/%{python_sitearch}
# %{__python} test_pyrit.py 
# popd

%files
%doc CHANGELOG COPYING PKG-INFO README
%{_bindir}/%{name}
%{python_sitearch}/cpyrit/
%{python_sitearch}/%{name}-%{version}-*.egg-info
%{python_sitearch}/%{name}_cli.*

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep  6 2011 Tom Callaway <spot@fedoraproject.org> 0.4.0-4
- disable tests

* Tue Aug 23 2011 Tom Callaway <spot@fedoraproject.org> 0.4.0-3
- fix perms on library file (0755)
- add BR: python-sqlalchemy for full test suite

* Mon Aug  8 2011 Tom Callaway <spot@fedoraproject.org> 0.4.0-2
- add CFLAGS for proper optimizations
- filter out private python extension lib
- add note to description about functionality limitations

* Tue Mar 29 2011 Tom Callaway <spot@fedoraproject.org> 0.4.0-1
- initial package
